Support » Plugin: WooCommerce » Woocommerce Plugin can’t be activated

  • Resolved dia95din

    (@dia95din)


    Hi, I’ve been struggling with this issue for a long time now, I try to activate the plugin but it returns this error:
    Plugin could not be activated because it triggered a fatal error.

    My WordPress is 5.7 and I downloaded the latest version of Woocommerce (which is for now 5.2)
    Is there any solution to this issue?

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Support abwaita a11n

    (@abwaita)

    Hi @dia95din,

    This kind of problem is usually caused by a conflict with your theme or with another plugin.
     
    The best way to determine this is to:

    • Temporarily switch your theme to Storefront
    • Disable all plugins except for WooCommerce
    • Repeat the action that is causing the problem

    If you’re not seeing the same problem after completing the conflict test, then you know the problem was with the plugins and/or theme you deactivated. To figure out which plugin is causing the problem, reactivate your other plugins one by one, testing after each, until you find the one causing conflict. You can find a more detailed explanation on how to do a conflict test here.

    Kindly let us know how it goes.

    Thanks.

    Thread Starter dia95din

    (@dia95din)

    Thank you for answering!

    I was finally able to activate using your method, I first deactivated all plugins and themes, installed the WooCommerce plugin, and only after I activated the plugins and the theme again.

    The only problem now is that that shop not showing any products, altho they were visible on the “twenty-twenty” theme.
    Would appreciate any help.

    Plugin Support abwaita a11n

    (@abwaita)

    Glad to hear that you were able to activate WooCommerce.

    If the products were showing with the Twenty-Twenty theme and they stopped showing when you switched to a different theme, it’s likely that the issue now lies with the current theme. I could suggest getting in touch with the theme authors to assist.

    Hope this helps.

    Thread Starter dia95din

    (@dia95din)

    I will do that, thank you!

    You most likely have problems caused by Outdated woocommerce templates in your wp theme. I had the same problem today after updating Woocommerce to 5.2.0. Unfortunately, I had to revert to the previous woocommerce version to fix my problem.

    I would assume a lot of wp theme will have the same problem for a while until they update their files.

    Thread Starter dia95din

    (@dia95din)

    Hey @ionutsabo ,
    Do you think it’s possible to somehow update the theme files to fix this problem?

    Thanks.

    You’ll have to check in the changelog of the theme update to see if the update fixes the WooCommerce 5.2.0 compatibility.
    By the way, you should check the status of WooCommerce. From the Sidemenu, go to Woocommerce > Status and check for the Outdated templates. You might see there what are the templates that are outdated and probbaly need to be addressed by the developers of the theme you want to use. Do this with the desired theme activated.

    In any case, your best shot is talking to the developers of the theme to offer support for Woocommerce compatibility. Or, for now, revert Woocommerce to a previous version.

    Thread Starter dia95din

    (@dia95din)

    Thank you so much for the help, I start with this right away.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Woocommerce Plugin can’t be activated’ is closed to new replies.